<?xml version="1.0" encoding="UTF-8"?>
<program xmlns="http://www.nomoseed.org/program" xmlns:xi="http://www.w3.org/2001/XInclude" name="tutorial_2_ap">
  <header xmlns="http://www.nomoseed.org/project">
    <author>Cédric Coussinet (cedric.coussinet@nomoseed.net)</author>
    <copyright>
      <mention xml:lang="en">
        Copyright (2013) Cédric Coussinet
      </mention>
    </copyright>
    <license name="GPLv3">
      <mention xml:lang="en">
        This program is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published
        by the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.
        
        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
        GNU General Public License for more details.
        
        You should have received a copy of the GNU General Public License
        along with this program. If not, see http://www.gnu.org/licenses
      </mention>
    </license>
    <datetime>2013-08-30T11:42:25Z</datetime>
    <version/>
    <annotation>
      <documentation xml:lang="fr">
        Programme appartenant à la deuxième partie du tutoriel portant sur les propriétés dynamiques.
        Plus précisment, ce programme correspond premier exmple, celui illustrant l'adaptation de composante continue dans le cadre d'une structure prédictive.123
      </documentation>
    </annotation>
  </header>
  <body>
    <models>
      <new instance="tutorial_2">
        <xi:include href="tutorial_2_ap.mod" parse="xml"/>
      </new>
    </models>
    <scheme>
      <scheme name="label_perception">
        <rule name="label_virginica">
          <premise model="tutorial_2" category="input" type="label">
            <information value="3" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_2" category="perception" type="label">
            <information value="virginica"/>
          </conclusion>
        </rule>
        <rule name="point_versicolor_in">
          <premise model="tutorial_2" category="perception" type="label">
            <information value="virginica" tolerance="0"/>
            <credibility value="1" tolerance="INF"/>
            <timespan value="1000 ms" tolerance="0"/>
          </premise>
          <premise model="tutorial_2" category="input" type="point">
            <information value="-2.5906" tolerance="0.4300587"/>
            <information value="-0.1871" tolerance="0.4626638"/>
            <information value=" 0.013314" tolerance="0.1642161"/>
            <information value=" 0.00053424" tolerance="0.1211273"/>
          </premise>
          <conclusion model="tutorial_2" category="perception" type="point">
            <information value="setosa"/>
          </conclusion>
        </rule>
      </scheme>
      <scheme name="setosa_prediction">
        <rule name="setosa_prediction">
          <premise model="tutorial_2" category="perception" type="label">
            <information value="virginica" tolerance="0"/>
            <credibility value="1" tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <premise model="tutorial_2" category="prediction" type="point" inhibitor="true">
            <information value="setosa" tolerance="0"/>
            <credibility value="1" tolerance="INF"/>
            <timespan value="-1" tolerance="INF"/>
          </premise>
          <conclusion model="tutorial_2" category="prediction" type="point">
            <information value="setosa" delay="2000 ms"/>
          </conclusion>
        </rule>
        <rule name="setosa_landmark">
          <premise model="tutorial_2" category="perception" type="label">
            <information value="virginica" tolerance="0"/>
            <credibility value="1" tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <premise model="tutorial_2" category="prediction" type="point" inhibitor="true">
            <information value="setosa" tolerance="0"/>
            <credibility value="1" tolerance="INF"/>
            <timespan value="-1" tolerance="INF"/>
          </premise>
          <conclusion model="tutorial_2" category="landmark" type="point">
            <information value="setosa"/>
          </conclusion>
        </rule>
        <rule name="setosa_check" fitting_nbr="0">
          <premise model="tutorial_2" category="perception" type="point">
            <information value="setosa" tolerance="0"/>
            <credibility value="1" tolerance="0.5"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <premise model="tutorial_2" category="landmark" type="point">
            <information value="setosa" tolerance="0"/>
            <credibility value="1" tolerance="INF"/>
            <timespan value="2000 ms" tolerance="500"/>
          </premise>
          <premise model="tutorial_2" category="prediction" type="point">
            <information value="setosa" tolerance="0"/>
            <credibility value="1" tolerance="INF"/>
            <timespan value="-1" tolerance="INF"/>
          </premise>
          <conclusion model="tutorial_2" category="check" type="point">
            <information value="setosa"/>
          </conclusion>
        </rule>
      </scheme>
      <rule name="point_setosa_out">
        <premise model="tutorial_2" category="check" type="point">
          <information value="setosa" tolerance="0"/>
          <credibility value="1" tolerance="INF"/>
          <timespan value="0" tolerance="0"/>
        </premise>
        <conclusion model="tutorial_2" category="command" type="point">
          <information value="setosa"/>
          <output value="0.0"/>
          <output value="0.0"/>
          <output value="0.0"/>
          <output value="0.0"/>
        </conclusion>
      </rule>
    </scheme>
  </body>
  <sdk>
    <color xmlns="http://www.nomoseed.org/sdk" model="tutorial_2" category="command" type="point" saturation="70" hue="359"/>
  </sdk>
</program>
